const fs = require('fs')
const generateTSConfig = (stagedFilenames) => {
  return (type) => {
    console.log(type)
    const tsconfig = JSON.parse(fs.readFileSync('tsconfig.json','utf8'))
    if (stagedFilenames.length === 0) return ''
    tsconfig.include = stagedFilenames
    fs.writeFileSync('tsconfig.lint.json',JSON.stringify(tsconfig))
    return `${type} --noEmit --project tsconfig.lint.json`
  }
}


module.exports = {
  "*.{vue,html,css,less,scss,sass}": "npm run lint:style",
  "*.{js,jsx,vue,ts,tsx}": ["npm run lint:es"],
  "*.{ts,tsx,vue}": [(fileName) => generateTSConfig(fileName)('vue-tsc')]
}